Bug 1415731 - Review Request: perl-XML-Generator-PerlData - Perl extension for generating SAX2 events from nested Perl data structures
Summary: Review Request: perl-XML-Generator-PerlData - Perl extension for generating S...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 15:05 UTC by Jitka Plesnikova
Modified: 2017-01-25 08:46 UTC (History)
2 users (show)

Fixed In Version: perl-XML-Generator-PerlData-0.95-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-25 08:46:34 UTC
Type: ---
ppisar: fedora-review+


Attachments (Terms of Use)

Description Jitka Plesnikova 2017-01-23 15:05:31 UTC
Spec URL: https://jplesnik.fedorapeople.org/perl-XML-Generator-PerlData/perl-XML-Generator-PerlData.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-XML-Generator-PerlData/perl-XML-Generator-PerlData-0.95-1.fc26.src.rpm

Description:
XML::Generator::PerlData provides a simple way to generate SAX2 events from
nested Perl data structures, while providing finer-grained control over the
resulting document streams.

Fedora Account System Username: jplesnik@redhat.com

Comment 1 Petr Pisar 2017-01-24 10:20:25 UTC
URL and Source0 addresses are usable. Ok.
Source archive (SHA-256: 78560b638016ef047fd5937f2d35cca9536fe5b42a03974e173f16671bf5c397) is original. Ok.
Summary verified from PerlData.pm. Ok.
Description verified from PerlData.pm. Ok.
License verified from PerlData.pm, Makefile.PL. Ok.

TODO: Recommend upstream to remove the misleading "under the Perl Artistic Licence" statement because "Perl Artistic Licence" does not include GPL.

No XS code, noarch BuildArch is Ok.
BuildRequires are Ok.
All tests pass. Ok.

$ rpmlint perl-XML-Generator-PerlData.spec ../SRPMS/perl-XML-Generator-PerlData-0.95-1.fc26.src.rpm ../RPMS/noarch/perl-XML-Generator-PerlData-0.95-1.fc26.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-XML-Generator-PerlData-0.95-1.fc26.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Jan 24 11:06 /usr/share/doc/perl-XML-Generator-PerlData
-rw-r--r--    1 root    root                      903 Jan 24 11:06 /usr/share/doc/perl-XML-Generator-PerlData/Changes
-rw-r--r--    1 root    root                      260 Nov 13  2014 /usr/share/doc/perl-XML-Generator-PerlData/TODO
-rw-r--r--    1 root    root                     7615 Jan 24 11:06 /usr/share/man/man3/XML::Generator::PerlData.3pm.gz
drwxr-xr-x    2 root    root                        0 Jan 24 11:06 /usr/share/perl5/vendor_perl/XML
drwxr-xr-x    2 root    root                        0 Jan 24 11:06 /usr/share/perl5/vendor_perl/XML/Generator
-rw-r--r--    1 root    root                    49101 Oct  2  2015 /usr/share/perl5/vendor_perl/XML/Generator/PerlData.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-XML-Generator-PerlData-0.95-1.fc26.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(vars)
      1 perl(warnings)
      1 perl(XML::SAX::Base) >= 1.02
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-XML-Generator-PerlData-0.95-1.fc26.noarch.rpm | sort -f | uniq -c
      1 perl(XML::Generator::PerlData) = 0.95
      1 perl-XML-Generator-PerlData = 0.95-1.fc26
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-XML-Generator-PerlData-0.95-1.fc26.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F26 (https://koji.fedoraproject.org/koji/taskinfo?taskID=17400487). Ok.

The package is in line with Fedora and Perl packaging guidelines.
Resolution: Package APPROVED.

Comment 2 Gwyn Ciesla 2017-01-24 13:26:20 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-XML-Generator-PerlData

Comment 3 Jitka Plesnikova 2017-01-25 08:46:34 UTC
Thank you for the review and the repository.


Note You need to log in before you can comment on or make changes to this bug.